SystemOrganization addCategory: #ConfigurationOfProcessModel!

Object subclass: #ConfigurationOfProcessModel
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfProcessModel'!

!ConfigurationOfProcessModel class methodsFor: 'development support' stamp: 'juliohurtado 9/12/2012 11:26'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfProcessModel class methodsFor: 'private' stamp: 'juliohurtado 9/12/2012 11:26'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfProcessModel class methodsFor: 'private' stamp: 'juliohurtado 9/12/2012 11:26'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfProcessModel class methodsFor: 'private' stamp: 'juliohurtado 9/12/2012 11:26'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfProcessModel class methodsFor: 'metacello tool support' stamp: 'juliohurtado 9/12/2012 11:26'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfProcessModel class methodsFor: 'loading' stamp: 'juliohurtado 9/12/2012 11:26'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfProcessModel class methodsFor: 'loading' stamp: 'juliohurtado 9/12/2012 11:26'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfProcessModel class methodsFor: 'loading' stamp: 'juliohurtado 9/12/2012 11:26'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfProcessModel class methodsFor: 'accessing' stamp: 'juliohurtado 9/12/2012 11:26'!
project

	^self new project! !

!ConfigurationOfProcessModel class methodsFor: 'development support' stamp: 'juliohurtado 9/12/2012 11:26'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfProcessModel methodsFor: 'baselines' stamp: 'juliohurtado 9/12/2012 11:26'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.squeaksource.com/ProcessModel'.
		spec package: 'ProcessModel'.
		spec group: 'default' with: #('ProcessModel' ). ].
! !

!ConfigurationOfProcessModel methodsFor: 'baselines' stamp: 'AlexandreBergel 10/9/2012 12:28'!
baseline11: spec
	<version: '1.1-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
	
		spec project: 'Pastell' with: [
			spec
				className: 'ConfigurationOfPastell';
				file: 'ConfigurationOfPastell';
				versionString: #development;
				loads: #('default' );
				repository: 'http://www.squeaksource.com/Pastell' ].

		spec repository: 'http://www.squeaksource.com/ProcessModel'.
		spec package: 'ProcessModel'.
		
		spec group: 'default' with: #('ProcessModel' 'Pastell'). ].
! !

!ConfigurationOfProcessModel methodsFor: 'symbolic versions' stamp: 'LuisSilvestre 10/18/2012 18:36'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.6'.
! !

!ConfigurationOfProcessModel methodsFor: 'accessing' stamp: 'juliohurtado 9/12/2012 11:26'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfProcessModel methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2012 11:49'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Added Pastell as a dependent project
1.0 : Fixing the configuration'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2012 11:49'.
		spec package: 'ProcessModel' with: 'ProcessModel-juliohurtado.80'. ].
! !

!ConfigurationOfProcessModel methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2012 11:48'!
version11: spec
	<version: '1.1' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2012 11:46'.
		spec project: 'Pastell' with: '1.1'.
		spec package: 'ProcessModel' with: 'ProcessModel-juliohurtado.80'. ].
! !

!ConfigurationOfProcessModel methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2012 12:35'!
version12: spec
	<version: '1.2' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : Fixing the configuration
1.2 : Migrating to Roassal'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2012 12:35'.
		spec project: 'Pastell' with: '1.1'.
		spec package: 'ProcessModel' with: 'ProcessModel-AlexandreBergel.81'. ].
! !

!ConfigurationOfProcessModel methodsFor: 'versions' stamp: 'juliohurtado 9/14/2012 10:21'!
version13: spec
	<version: '1.3' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.2 : Migrating to Roassal
1.3 : Bug of Name of the Process Elements was removed'.
		spec author: 'juliohurtado'.
		spec timestamp: '9/14/2012 10:21'.
		spec project: 'Pastell' with: '1.1'.
		spec package: 'ProcessModel' with: 'ProcessModel-juliohurtado.90'. ].
! !

!ConfigurationOfProcessModel methodsFor: 'versions' stamp: 'LuisSilvestre 10/18/2012 18:33'!
version14: spec
	<version: '1.4' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.3 : Bug of Name of the Process Elements was removed
1.4 : trivial cleaning '.
		spec author: 'LuisSilvestre'.
		spec timestamp: '10/18/2012 18:33'.
		spec project: 'Pastell' with: '1.1'.
		spec package: 'ProcessModel' with: 'ProcessModel-LuisSilvestre.91'. ].
! !

!ConfigurationOfProcessModel methodsFor: 'versions' stamp: 'LuisSilvestre 10/18/2012 18:36'!
version15: spec
	<version: '1.5' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.4 : trivial cleaning 
1.5 : Merged'.
		spec author: 'LuisSilvestre'.
		spec timestamp: '10/18/2012 18:36'.
		spec project: 'Pastell' with: '1.1'.
		spec package: 'ProcessModel' with: 'ProcessModel-LuisSilvestre.97'. ].
! !

!ConfigurationOfProcessModel methodsFor: 'versions' stamp: 'LuisSilvestre 10/18/2012 18:36'!
version16: spec
	<version: '1.6' imports: #('1.1-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.5 : Merged'.
		spec author: 'LuisSilvestre'.
		spec timestamp: '10/18/2012 18:36'.
		spec project: 'Pastell' with: '1.1'.
		spec package: 'ProcessModel' with: 'ProcessModel-LuisSilvestre.97'. ].
! !
